body {
    background-color: #eeeeee;
    max-width: 750px;
    margin: 20px auto;
    padding: 15px;
    font-family: 'Arial', sans-serif;
    
}

.content-block-title {
    margin-top: 1rem;
    margin-left: 1px;
    margin-right: 1px;
    padding: 10px 0;
    font-size: 1.2rem;
    text-align: center;
    background-color: #E6EAF1;
    border-radius: 10px;
    color: #4C6080;
}


.tip-title {
    font-weight: bold;
    margin-right: 10px;
    font-size: 0.85em; /* 减小字体大小 */
}
.hotness {
    font-size: 1.2em;
    margin-left: 5px;
}

.content-block-title .let-close {
    color: #866F90;
    font-size: 0.8rem;
    float: right;
}

.access-top-bg {
    height: 0px;
    border-radius: 14px;
    background: linear-gradient(to right, #FF6B89, #B57A8A);
    margin-bottom: 12px;
    padding: 0px;
}

a {
    position: relative;
    overflow: hidden;
    transition: color 0.3s ease;
    text-decoration: none; /* 去除下划线 */
    color: #0088FF; /* 链接颜色 */
}

a::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: transparent;
    background-image: linear-gradient(to right, #007BFF, #00CFFD); /* 渐变背景色 */
    transform: scaleX(0);
    transform-origin: bottom right;
    transition: transform 0.3s ease-out;
}

a:hover::after, a:focus::after {
    transform: scaleX(1);
    transform-origin: bottom left;
}

a:active::after {
    animation: clickWave 0.6s ease-out;
}

@keyframes clickWave {
    0%, 100% {
        height: 2px;
        opacity: 1;
    }
    50% {
        height: 100%;
        opacity: 0.5;
    }
}



/* 打造清晰、舒适的阅读环境 */
.access-box {
    padding: 15px;
    background-color: #ffffff;
    font-size: 0.73rem;
    border: none;
    border-radius: 10px;
    margin: 0;
    position: relative;
    word-wrap: break-word;
    overflow-wrap: break-word;
    word-break: break-word;
    transition: box-shadow 0.3s ease;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12);
}

/* 为小屏幕设备调整字体大小 */
@media (max-width: 600px) {
    .access-box {
        font-size: 0.9rem; /* 根据需要调整字体大小 */
    }
}








.my-class {
    justify-content: space-between;
    align-items: center;
    display: flex;
    background-color: #dcdfe654;
    padding: 14px;
    border-radius: 10px;
    border: none;
    transition: box-shadow 0.3s ease; /* 修改过渡效果为 box-shadow */
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12); /* 初始状态的轻微阴影 */
}


.btn {
    margin-left: 10px;
    color: #ffffff;
    background-color: #1769D8; /* 新颜色 */
    padding: 5px 10px;
    line-height: 1.2 !important;
    font-size: 12px;
    border: 0;
    border-radius: 25px;
    box-shadow: none; /* 去除阴影 */
    outline: none;
    -webkit-appearance: none;
    appearance: none;
    cursor: pointer;
    position: relative;
    top: 15px;
}








.report.btn {
    background: #f59d00; /* 深灰色背景 */
    box-shadow: none; /* 去除阴影 */
}

.adinfo-bottom {
    background-color: #dcdfe654;
    color: #000000;
    padding: 20px 10px;
    border-radius: 10px;
    text-align: center;
    border: none;
    margin: 50px auto;
    max-width: 750px;
    transition: box-shadow 0.3s ease; /* 修改过渡效果为 box-shadow */
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12); /* 初始状态的轻微阴影 */
}


.top {
    position: absolute;
    z-index: 99;
    right: 0; /* 将right属性的值设置为0，使元素靠右显示 */
    padding: 5px 6px;
    font-size: 14px;
    text-align: center;
    line-height: 1;
    background-color: #fc6d99; /* 顶部小标签背景色更加吸引眼球 */
    color: #ffffff;
    border-radius: 4px; /* 添加圆角 */
    box-shadow: none; /* 去除阴影 */
}



.ctrl-box {
	margin-top: 3px;
	text-align: right;
	margin-right: -10px;
	padding-bottom: 6px;
}

.copy-right {
	margin: 20px 0.75rem;
	font-size: 13px;
	color: #666;
	text-align: center;
}

.hided {
	display: none !important;
}

.toast {
	position: fixed !important;
}

.js-buy {
	display: none;
	background-color: purple;
}

.js-buy2 {
	display: none;
	background-color: #d825be;
}

.js-buy3 {
	display: none;
	background-color: #ba57ec;
}

.js-buy4 {
	display: none;
	background-color: #08a04c;
}

#cnzz_stat_icon_1278522580 {
	display: none;
}

a[title="站长统计"] {
	display: none;
}

.page,
.page-group {
	background-color: #F7F7F7;
}

.dark {
	background-color: #242535;
	animation: all 1s;
}

.dark .access-box {
	background: #2F3045;
	margin-top: 0;
}

.dark .access-top-bg {
	height: 0;
	border: 0;
	/*border-top: 1px solid #d4c3a4;*/
	background: none;
}

.dark .box {
	color: #efefef;
}

.dark .copy-right {
	color: #FAFAFB;
}

.dark .content-block-title .let-close {
	color: #FAFAFB;
}

.dark .tip-title i {
	color: #FAFAFB;
}

.dark .show span {
	color: #FAFAFB;
}

.dark .adinfo {
	color: #FAFAFB;
}

.link {
	color: #0894ec;
}

.dark .link {
	color: #FAFAFB;
}

.line-box {
	border-bottom: 1px solid #db2a2a;
}

.dark .line-box {
	border-bottom: 1px solid #858A8E;
}

.imp {
	color: #db2a2a;
}

.dark .imp {
	color: #ecdb57;
}

.dark .tip-title {
	color: #ecdb57;
}

.info span,
.info p,
.info div {
	color: #3e3e3e !important;
}

.info a {
	color: #0894ec !important;
}

.dark .info span,
.dark .info p,
.dark .info div {
	color: #efefef !important;
}

.dark .info a {
	color: #0894ec !important;
}

.info .top {
	color: #fff !important;
}

.dark .info .top {
	color: #fff !important;
}

.content-block-title {
	font-size: 0.8rem;
}

body {
	font-size: 0.8rem;
}

.download {
	height: 1.2rem;
	margin-bottom: 10px;
	background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAABrklEQVRYR+1X0U0CQRDd4YNvOoAOxA6gA6hArMAjYSb8ib8zJJ4VqBVoB9oBWoElCL9AGDObPXOYkzuOi4nJTUI4srtv3rzdG96COyGiKGrZ8jiOl2VhoOxCW4eIz/YtIoOyOKcSeA0EejWBWoFagVqBWoFagVqB/60AET2s1+soz9mYAQGAD2YeB0Oy5wcQMQaANjMP8xQhooiZY5hMJr1Go/Gy2+368/ncA2aF2a9ms/kZxm6YeYaI3wSsCOfchXNuxczeqv0W6ZyFCYSKRwBwb8+qeumcG9kzAJg1uw0Jh8zsrVrlBDJIeDMKAL5iIyUipsTBKK1AgkpEM+fc9Y8sY9vTvOQ2fjIBA0ntuf18ZGa/HUWiEgJhO3zFIhIVSZzMqYzAMUnTc/cIIGIXABZFD1DZpOl1RGQXmSdVPfcXEyJaqupCRPpVJMjDCOdnYP3CEwgd7OovVEBE30tU9c7OjicQupx1tTNVtff4LXzyiik8rqotABgAgL0t78zc9T0kQQgkIlU1hu3CyMdNXFmBm81mlvzvZF5Op9NpZ7vddo7DPjwbAJYiYsruxRfGOUIDB3wuOgAAAABJRU5ErkJggg==) no-repeat;
	background-size: auto 100%;
	background-position: center;
}

.dark .download {
	background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAABdUlEQVRYR+1Xi00CQRSc6cAOsAO1A+kAKlAqECoQKxArUCvQDrQDtAJLECoYM5e3eEcIyx0XE5N9ySX32X1v3ry3e7PEESbpxNNJrrq6YdeJnifpNQCMuvo5FsB7ALgsAAoDhYHCQGGgMFAY+N8MSHoCMM0pmxAgXyRnIUgaekDSAsCA5DjHiCTHW1CSxcQbgCHJyuEuC/n1Hd/uSM4lbQBEElcA1iQrqbbH12/MQwFExtcAHsPxBICfbZZm93E/JllJtd4B7ACRxGjKeELS5dxrjaTbMJC8SpoDuN2KMnNNc8EjiW4lqDuv1dyvn0mmcmQxHM1AjYkqY5LTbNTagN4AtAm6xV6jBOcAlgAOaqCuQbcA+CDzAuCiOphIcjcvSQ77CJDzEf0z8n6RALiWN3/BgqS0lzy4dxIAr2PvamcAvI4/4sol0+a7Y5h6A/gk6dJjczaMrdbd7AGDNp5bjF1HgvP039l5OJV0CsBXn7YiaWYb9gP44Pf5E/YQXgAAAABJRU5ErkJggg==) no-repeat;
	background-size: auto 100%;
	background-position: center;
}

.nodata-box {
	text-align: center;
	font-size: 14px;
	color: #ccc;
}

.nodata-box p {
	margin: 0;
}

.nodata {
	margin: 10px auto 0;
	width: 5rem;
	height: 5rem;
	background: url('../imgs/nodata.png') no-repeat;
	background-size: 100%;

}

#searchWrapper {
  box-sizing: border-box;
  padding: 0.5rem;
  background-color: #ffffff;
  border-radius: 10px;
  margin: 1rem auto;
  transition: box-shadow 0.3s ease;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12);
}


.search-input {
  display: flex;
  margin: 10px 0.75rem 8px;
}

.search-button {
  width: 30%;
  height: 44px;
  background-color: #0088FF; /* 蓝色 */
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 20px; /* 左右弧度一致 */
  cursor: pointer;
  line-height: 44px;
  text-align: center;
  color: white;
  font-size: 0.8rem;
  transition: background-color 0.2s, transform 0.2s;
}

.search-button:hover {
  background-color: #1565c0; /* 深蓝色 */
  transform: scale(1.05);
}

.input-wap {
  width: 70%;
  display: flex;
  align-items: center;
}

.input {
  width: calc(100% - 25px);
  height: 44px;
  padding: 0 10px;
  outline: none;
  color: #333;
  border: 1px solid #c3d3e0; /* 淡蓝色边框 */
  border-radius: 20px; /* 左右弧度一致 */
  transition: border-color 0.3s;
}

.input:focus {
  border-color: #1565c0; /* 深蓝色边框 */
}

.user-search {
  margin: 10px 0.75rem;
  display: flex;
  align-items: center;
  font-size: 14px;
  padding-bottom: 6px;
  color: #666;
}

.user-search span {
  font-weight: normal;
  color: #2196f3; /* 蓝色文字 */
}

.dark .user-search {
  color: #999;
}

#curSearchVal {
  color: #1565c0; /* 深蓝色文字 */
  text-decoration: underline;
  padding: 0 5px;
}


.cur-tip {
	font-size: 13px;
	color: #999;
}

.no-ggreport .js-reportgg {
	display: none !important;
}

.feedback .js-feedback {
	display: inline-block !important;
}

.pwd-modal {
	position: fixed;
	background-color: #242535;
	width: 100%;
	top: 0;
	left: 0;
	height: 100%;
}

.pwd-modal .pwd-content {
	position: absolute;
	background-color: #fff;
	width: 80%;
	left: 0;
	right: 0;
	top: 50%;
	box-sizing: border-box;
	border-radius: 12px;
	padding: 10px;
	margin: auto;
	transform: translate3d(0, -50%, 0);
}

.pwd-body {
	padding-bottom: 10px;
	border-bottom: 1px solid #eee;
}

.pwd-footer {
	display: flex;
	align-items: center;
}

.pwd-modal {
	position: fixed;
	background-color: #eee;
	width: 100%;
	top: 0;
	left: 0;
	height: 100%;
	z-index: 99;
}

.pwd-modal .pwd-content {
	position: absolute;
	background-color: #fff;
	width: 80%;
	left: 0;
	right: 0;
	top: 50%;
	box-sizing: border-box;
	border-radius: 12px;
	padding: 20px;
	margin: auto;
	transform: translate3d(0, -50%, 0);
}

.pwd-body {
	padding-bottom: 10px;
	border-bottom: 1px solid #eee;
}

.pwd-footer {
	margin-top: 20px;
	display: flex;
	align-items: center;
}

/* 热门搜索容器样式 */
/* 热门搜索容器样式 */
.hot-title {
    margin-top: 0px; /* 将上边距设置为0，或根据需要进一步调整 */
    /* 其他样式保持不变 */
    color: #F6383A;
    font-size: 16px; /* 或根据实际情况进行调整 */
    font-weight: bold; /* 保持字体加粗 */
    text-align: center; /* 确保文字居中 */
}
  .hot-wrap {
      margin: 0px 0px; /* 设置上下边距 */
      color: #F6383A;
      font-size: 16px;
      padding: 5px;
      overflow-x: hidden;
      white-space: nowrap;
      box-shadow: none;
      border: none;
      border-radius: 15px;
      justify-content: center;
      align-items: center;
      text-align: center;
      font-weight: bold; /* 字体粗 */
  }

  .hot-item {
      display: inline-block;
      padding: 0 8px;
      height: 30px;
      margin: 15 15px;
      line-height: 30px;
      color: #f40;
      font-size: 13px;
      background-color: transparent;
      border: none;
      box-shadow: none;
      font-weight: normal; /* 字体粗 */
      transition: background-color 0.3s, color 0.3s; /* 添加过渡效果 */
      border-radius: 4px;
  }
#hotList {
    display: flex;
    align-items: center; /* 这会垂直居中对齐弹性子项 */
    justify-content: center; /* 这会水平居中对齐弹性子项 */
    flex-wrap: wrap; /* 允许项目在必要时换行 */
}


 /* 鼠标悬停时的样式 */
.hot-item:hover {
    background-color: #f40; /* 鼠标悬停时的背景色 */
    color: #fff; /* 鼠标悬停时的文字色 */
    cursor: pointer; /* 将鼠标指针变为手形图标 */
    /* border-radius 不需要重复，因为继承自 .hot-item */
}

/* 鼠标点击时的样式 */
.hot-item:active {
    background-color: #c32; /* 鼠标点击时的背景色 */
    color: #fff; /* 鼠标点击时的文字色 */
    position: relative;
    top: 2px; /* 模拟按钮被按下去的效果 */
    /* border-radius 不需要重复，因为继承自 .hot-item */
}